microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Yol parametreleri
name
string
gerekli
The name of the skill.
version
string
gerekli
The version identifier to delete.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
Yanıtlar
The request has succeeded.
Gövde
Content-Type: application/json
id
string
gerekli
The unique identifier of the deleted skill version.
name
string
gerekli
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
gerekli
Whether the skill version was successfully deleted.
version
string
gerekli
The version that was deleted.
İstek
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json